# ******************************************************************
# * CNPRINT.CMD For CNPRINT Versions 3.30/3.31 (DOS, VMS and UNIX) *
# ******************************************************************
#  Copyright YIDAO CAI (~{2LR@5@~}), 1992-2001
#  All Rights Reserved.
#  Free for non-commercial and personal use only.
# 
# Last modified on January 28, 2001
#
# This file should be kept in the same directory where the fonts are kept,
# or in a directory pointed by HBFPATH. 
#
# Put your system PS printing command (DOS: port name) and/or your default 
# Big5/JIS/KSC/unicode HBF file name below.  Leave one space after the ":".
# If you mainly deal with BIG5, Japanese, Korean or unicode files, change 
# the default encoding accordingly. You can also change other default
# settings, such as paper size, paper margins, etc.
# 
# From V3.20/3.21 you may use unicode fonts to print GB/Big5/JIS/KSC files.
# Thus you may choose a unicode font as the default font for all of them.
# 
#   Lines headed by # are comments
#   Please leave one or more SPACEs after the ":", e.g.
#
#PS_PRINT_COMMAND: laser    <-- YES, correct 
#PS_PRINT_COMMAND:laser     <-- NO, incorrect
#
#   put PostScript print command (or port name in DOS, like LPT2:) bellow
#   for UNIX/Linux computers, this is usually "lpr"
#PS_PRINT_COMMAND: nprint -S SHOP -q BTNRH_POSTDOC_LASER_0 -U test -n 
PS_PRINT_COMMAND:  
#
#   put default GB font (HBF/HTF/TTF) name below (such as cnj24.hbf)
DEFAULT_GB_FONT: cnj48.hbf  
#
#   put default BIG5 font (HBF/HTF/TTF) name below (such as cn5b24.hbf)
DEFAULT_BIG5FONT: cn5a24.hbf  
#
#   put default JIS (Japanese) font (HBF/HTF/TTF) name below (such as 
#   cnjb24.hbf)
DEFAULT_JIS_FONT: kanji48.hbf
# 
#   put default KSC font (HBF/HTF/TTF) name below (such as cnkb24.hbf)
DEFAULT_KSC_FONT: cnkm24.hbf  
#
#   put default UNICODE font (HBF/HTF/TTF) name below (such as cnub24.hbf)
DEFAULT_UTF_FONT: mssong.htf  
#
#   if you mainly print GB/BIG5/Japanese/KSC/unicode files, put the default 
#   encoding below (GB, BIG5, JIS, KSC or UNICODE, in upper case). The 
#   default "unicode" type is "utf8"
DEFAULT_ENCODING: GB
# 
#   if paper size used by your printer is not A (8.5x11), change the
#   paper size below (width, length in inch)
DEFAULT_PAPERSIZE: 8.5 11.
# 
#   put paper margins below (Left/Right/Top/Bottom, in mm, minimum 3mm, 
#   1 inch = 25.4 mm), first for Portrait mode, then for Landscape mode
PAPER_MARGINS: 26.1 21.9 25.2 25.8  15.3 15.2 20. 22.
# 
#   char sizes for Portrait mode and Landscape mode (in points, 
#   1 inch = 72 points); char space and line space (1=standard) below
SIZE_SPACE: 13.5  11.6       1.  1. 
# 
#   put character width/height or height/width below.  Change ONE value
#   only, leave the other as 1.
WIDTH-HEIGHT: 1.  1. 
#
#   European language mode: 0 auto; 1 yes; -1 no.
EUROPEAN_LANGUAGE: 0
#
#   Page number positions for horizontal and vertical mode (0, no page number;
#   1-3, top left, middle, right; 4-6, bottom left, middle, right)
PAGE_NUMBER_POSITION: 6 4
#
#   address label information: nx ny    xp yp    xinc yinc (inch)     0/1
#   nx, ny: numbers of labels on horizontal and vertical directions;
#   (xp, yp): position of lower-left corner of the lower-left label;
#   (xinc, yinc): size of label
#   if 7th number = 1, ignore newline character after @[LB] or @[LB##]
#ADDRESS_LABEL: 2 5     .85 1.0    4.1 2.05
ADDRESS_LABEL: 3 10     .25 .58    2.83 1       1
#
#   Table file(s) containing GB<->BIG5 mapping data (two files allowed)
DEFAULT_GBB5_TABLEFILE: g2bchar.tab  g2bword.tab
#
#   PostScript language level, level 2 is required for using TTF fonts
POSTSCRIPT_LANGUAGE_LEVEL: 2
#
#   ******** You are advised NOT to make any change below ********
#   ********     if you don't know what you are doing     ********
# 
#   [Advanced users] you may specify/add/change the path of the temporal
#   file generated by CNPRINT
TEMPFILE: CNPRINT.TMP
# 
#   [Advanced users] you may specify the device resolution (in dpi, 
#   default 300) it may (or may not) improve the print quality
DEVICERES: 600
# 
#   ******** ABSOLUTELY NO CHANGES BELOW ********
# 
#   The data base arrange the width of English character for each font
#   from 32 to 160, with that of Courier as 10000.
Helvetica
DATA: 4633 4633 5916 9266 9266 14816 11116 3700 5549 5549
DATA: 6483 9733 4633 9733 4633 4633 9266 9266 9266 9266
DATA: 9266 9266 9266 9266 9266 9266 4633 4633 9733 9733
DATA: 9733 9266 16916 11116 11116 12033 12033 11116 10183 12966
DATA: 12033 4633 8333 11116 9266 13883 12033 12966 11116 12966
DATA: 12033 11116 10183 12033 11116 15733 11116 11116 10183 4633
DATA: 4633 4633 7816 9266 3699 9266 9266 8333 9266 9266
DATA: 4633 9266 9266 3699 3699 8333 3700 13883 9266 9266
DATA: 9266 9266 5549 8333 4633 9266 8333 12033 8333 8333
DATA: 8333 5566 4333 5566 9733 4633 12033 9266 9266 9266
DATA: 9266 9266 9266 8333 9266 9266 9266 4633 4633 4633
DATA: 11116 11116 11116 14816 16666 9266 9266 9266 9266 9266
DATA: 8333 12966 12033 9266 9266 9266 10183 4633 9266
Helvetica-Bold
DATA: 4633 5549 7899 9266 9266 14816 12033 4633 5549 5549
DATA: 6483 9733 4633 9733 4633 4633 9266 9266 9266 9266
DATA: 9266 9266 9266 9266 9266 9266 5549 5549 9733 9733
DATA: 9733 10183 16249 12033 12033 12033 12033 11116 10183 12966
DATA: 12033 4633 9266 12033 10183 13883 12033 12966 11116 12966
DATA: 12033 11116 10183 12033 11116 15733 11116 11116 10183 5549
DATA: 4633 5549 9733 9266 4633 9266 10183 9266 10183 9266
DATA: 5549 10183 10183 4633 4633 9266 4633 14816 10183 10183
DATA: 10183 10183 6483 9266 5549 10183 9266 12966 9266 9266
DATA: 8333 6483 4666 6483 9733 4633 12033 10183 9266 9266
DATA: 9266 9266 9266 9266 9266 9266 9266 4633 4633 4633
DATA: 12033 12033 11116 14816 16666 10183 10183 10183 10183 10183
DATA: 9266 12966 12033 9266 9266 9266 10183 4633 9266
Times-Italic
DATA: 4166 5549 6999 8333 8333 13883 12966 5549 5549 5549
DATA: 8333 11249 4166 11250 4166 4633 8333 8333 8333 8333
DATA: 8333 8333 8333 8333 8333 8333 5549 5549 11249 11249
DATA: 11249 8333 15333 10183 10183 11116 12033 10183 10183 12033
DATA: 12033 5549 7399 11116 9266 13883 11116 12033 10183 12033
DATA: 10183 8333 9266 12033 10183 13883 10183 9266 9266 6483
DATA: 4633 6483 7033 8333 5549 8333 8333 7399 8333 7399
DATA: 4633 8333 8333 4633 4633 7399 4633 12033 8333 8333
DATA: 8333 8333 6483 6483 4633 8333 7399 11116 7399 7399
DATA: 6483 6666 4583 6666 9016 4166 11116 8333 7399 8333
DATA: 8333 8333 8333 7399 7399 7399 7399 4633 4633 4633
DATA: 10183 10183 10183 11116 14816 8333 8333 8333 8333 8333
DATA: 7399 12033 12033 8333 8333 8333 8333 4166 8333 
Times-Roman
DATA: 4166 5549 6799 8333 8333 13883 12966 5549 5549 5549 
DATA: 8333 9399 4166 9399 4166 4633 8333 8333 8333 8333 
DATA: 8333 8333 8333 8333 8333 8333 4633 4633 9399 9399 
DATA: 9399 7399 15349 12033 11116 11116 12033 10183 9266 12033 
DATA: 12033 5549 6483 12033 10183 14816 12033 12033 9266 12033 
DATA: 11116 9266 10183 12033 12033 15733 12033 12033 10183 5549 
DATA: 4633 5549 7816 8333 5549 7399 8333 7399 8333 7399 
DATA: 5549 8333 8333 4633 4633 8333 4633 12966 8333 8333 
DATA: 8333 8333 5549 6483 4633 8333 8333 12033 8333 8333 
DATA: 7399 8000 3333 8000 9016 4166 11116 8333 7399 7399 
DATA: 7399 7399 7399 7399 7399 7399 7399 4633 4633 4633 
DATA: 12033 12033 10183 11116 14816 8333 8333 8333 8333 8333 
DATA: 8333 12033 12033 8333 8333 8333 8333 4166 7399
Times-Bold
DATA: 4166 5549 9250 8333 8333 16666 13883 5549 5549 5549 
DATA: 8333 9499 4166 9500 4166 4633 8333 8333 8333 8333 
DATA: 8333 8333 8333 8333 8333 8333 5549 5549 9499 9499 
DATA: 9499 8333 15500 12033 11116 12033 12033 11116 10183 12966 
DATA: 12966 6483 8333 12966 11116 15733 12033 12966 10183 12966 
DATA: 12033 9266 11116 12033 12033 16666 12033 12033 11116 5549 
DATA: 4633 5549 9683 8333 5549 8333 9266 7399 9266 7399 
DATA: 5549 8333 9266 4633 5549 9266 4633 13883 9266 8333 
DATA: 9266 9266 7399 6483 5549 9266 8333 12033 8333 8333 
DATA: 7399 6566 3666 6566 8666 4166 12033 9266 7399 8333 
DATA: 8333 8333 8333 7399 7399 7399 7399 4633 4633 4633 
DATA: 12033 12033 11116 12033 16666 8333 8333 8333 9266 9266 
DATA: 8333 12966 12033 8333 8333 8333 9266 4166 8333
Palatino-Italic
DATA: 4166 5549 8333 8333 8333 14816 12966 4633 5549 5549 
DATA: 6483 10099 4166 10100 4166 4933 8333 8333 8333 8333 
DATA: 8333 8333 8333 8333 8333 8333 4166 4166 10099 10099 
DATA: 10099 8333 12449 12033 10183 11116 12966 10183 9266 12033 
DATA: 12966 5549 5549 11116 9266 15733 12966 12966 10183 12966 
DATA: 11116 9266 10183 12966 12033 15733 12033 11116 11116 5549 
DATA: 10099 5549 10099 8333 4633 7399 7716 6783 8333 6483 
DATA: 4633 8333 8333 4633 4633 7399 4633 12966 9266 7399 
DATA: 8333 7716 6483 6483 5549 9266 8333 12033 8333 8333 
DATA: 7399 5549 10099 5550 10099 4166 11116 9266 6483 7399 
DATA: 7399 7399 7399 6783 6483 6483 6483 4633 4633 4633
DATA: 12@033 12033 10183 10633 15683 7399 7399 7399 9266 9266 
DATA: 8333 12966 12966 8333 8333 8333 8333 4166 7399
Palatino-Bold
DATA: 4166 4633 6699 8333 8333 14816 13883 4633 5549 5549 
DATA: 7399 10099 4166 10100 4166 4933 8333 8333 8333 8333 
DATA: 8333 8333 8333 8333 8333 8333 4166 4166 10099 10099 
DATA: 10099 7399 12449 12966 11116 12033 13883 10183 9266 13883 
DATA: 13883 6483 6483 12966 10183 16666 13883 13883 10183 13883 
DATA: 12033 10183 11116 12966 12966 16666 11116 11116 11116 5549 
DATA: 10099 5549 10099 8333 4633 8333 10183 7399 10183 8333 
DATA: 6483 9266 10183 5550 5549 10183 5549 14816 10183 9266 
DATA: 10183 10183 6483 7399 5549 10183 9266 13883 8333 9266 
DATA: 8333 5166 10099 5166 10099 4166 12033 10183 8333 8333 
DATA: 8333 8333 8333 7399 8333 8333 8333 5549 5549 5549 
DATA: 12966 12966 10183 12966 16666 9266 9266 9266 10183 10183 
DATA: 9266 13883 12966 8333 8333 8333 10183 4166 8333
AvantGarde-Book
DATA: 4616 4916 5150 9233 9233 12916 12616 5850 6149 6149 
DATA: 7083 10099 4616 10100 4616 7283 9233 9233 9233 9233 
DATA: 9233 9233 9233 9233 9233 9233 4616 4616 10099 10099 
DATA: 10099 9849 14449 12333 9566 13549 12399 8933 8083 14533 
DATA: 11383 3766 8033 9849 7700 15316 12333 14483 9866 14516 
DATA: 10116 8300 7099 10916 11699 16000 10149 9866 8000 5850
DATA: 10083 5849 10099 8333 5850 11383 11366 10783 11416 10833 
DATA: 5233 11216 10166 3333 3383 8366 3333 15633 10166 10916 
DATA: 11366 11366 5016 6466 5649 10133 9233 13850 8000 8933
DATA: 7083 5849 11199 5849 10099 4616 13549 10133 10833 11383 
DATA: 11383 11383 11383 10783 10833 10833 10833 3333 3333 3333
DATA: 12333 12333 8933 19283 16533 10916 10916 10916 10133 10133 
DATA: 8933 14483 10916 9233 9233 9233 9233 4616 11383
AvantGarde-BookOblique
DATA: 4616 4916 5150 9233 9233 12916 12616 5850 6149 6149 
DATA: 7083 10099 4616 10100 4616 7283 9233 9233 9233 9233 
DATA: 9233 9233 9233 9233 9233 9233 4616 4616 10099 10099 
DATA: 10099 9849 14449 12333 9566 13549 12399 8933 8083 14533 
DATA: 11383 3766 8033 9849 7700 15316 12333 14483 9866 14516 
DATA: 10116 8300 7099 10916 11699 16000 10149 9866 8000 5850
DATA: 10083 5849 10099 8333 5850 11383 11366 10783 11416 10833 
DATA: 5233 11216 10166 3333 3383 8366 3333 15633 10166 10916 
DATA: 11366 11366 5016 6466 5649 10133 9233 13850 8000 8933
DATA: 7083 5849 11199 5849 10099 4616 13549 10133 10833 11383
DATA: 11383 11383 11383 10783 10833 10833 10833 3333 3333 3333
DATA: 1@333 12333 8933 19283 16533 10916 10916 10916 10133 10133 
DATA: 8933 14483 10916 9233 9233 9233 9233 4616 11383
AvantGarde-Demi
DATA: 4666 4666 6000 9333 9333 14333 11333 4666 6333 6333 
DATA: 7333 10000 4666 10000 4666 7666 9333 9333 9333 9333 
DATA: 9333 9333 9333 9333 9333 9333 4666 4666 9999 9999 
DATA: 10000 9333 12333 12333 9666 12999 11666 8666 8000 13999 
DATA: 11333 4666 8000 10333 7333 15000 12333 13999 9333 13999 
DATA: 9666 8666 6999 10666 11666 15000 11333 10333 8333 5333
DATA: 10666 5333 10000 8333 4666 11000 11000 10666 11000 10666 
DATA: 4666 10999 10000 4000 4333 9666 4000 15666 9999 10666 
DATA: 10999 10999 5333 7333 4999 9999 9333 13333 9333 9666
DATA: 7666 5666 10000 5666 9999 4666 12999 9999 10666 11000 
DATA: 10999 10999 10999 10666 10666 10666 10666 4000 4000 4000 
DATA: 12333 12333 8666 18000 15000 10666 10666 10666 9999 9999 
DATA: 9666 13999 10666 9333 9333 9333 9999 4666 11000
AvantGarde-DemiOblique
DATA: 4666 4666 6000 9333 9333 14333 11333 4666 6333 6333 
DATA: 7333 10000 4666 10000 4666 7666 9333 9333 9333 9333 
DATA: 9333 9333 9333 9333 9333 9333 4666 4666 9999 9999 
DATA: 10000 9333 12333 12333 9666 12999 11666 8666 8000 13999 
DATA: 11333 4666 8000 10333 7333 15000 12333 13999 9333 13999 
DATA: 9666 8666 6999 10666 11666 15000 11333 10333 8333 5333
DATA: 10666 5333 10000 8333 4666 11000 11000 10666 11000 10666 
DATA: 4666 10999 10000 4000 4333 9666 4000 15666 9999 10666 
DATA: 10999 10999 5333 7333 4999 9999 9333 13333 9333 9666
DATA: 7666 5666 10000 5666 9999 4666 12999 9999 10666 11000 
DATA: 10999 10999 10999 10666 10666 10666 10666 4000 4000 4000 
DATA: 12333 12333 8666 18000 15000 10666 10666 10666 9999 9999 
DATA: 9666 13999 10666 9333 9333 9333 9999 4666 11000
